Name:           python-vispy
Version:        0.15.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Interactive visualization in Python

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            http://vispy.org
Source:         %{pypi_source vispy}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'vispy' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-vispy
Summary:        %{summary}

%description -n python3-vispy %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-vispy doc,glfw,io,ipython-static,pyglet,pyqt5,pyqt6,pyside,pyside2,pyside6,sdl2,test,tk,wx


%prep
%autosetup -p1 -n vispy-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x doc,glfw,io,ipython-static,pyglet,pyqt5,pyqt6,pyside,pyside2,pyside6,sdl2,test,tk,wx


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-vispy -f %{pyproject_files}


%changelog
%autochangelog